Get Offer Checkout
curl --request GET \
--url https://api.lendflow.com/api/offers/{offer_id}/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mask_piis": true
}
'import requests
url = "https://api.lendflow.com/api/offers/{offer_id}/checkout"
payload = { "mask_piis": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mask_piis: true})
};
fetch('https://api.lendflow.com/api/offers/{offer_id}/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"offer_id": "15ebff6a-9c04-4828-92a7-2c85788afdec",
"checkout_template_id": "01a11c30-092f-7145-ae60-8a89f5d00240",
"data_step_values": null,
"custom_step_url_visits": null,
"created_at": null,
"updated_at": null
}
}Offers
Get Offer Checkout
Returns the checkout details for an offer, including the content shown to the applicant during checkout. Sensitive personal information may be masked in the response.
GET
/
api
/
offers
/
{offer_id}
/
checkout
Get Offer Checkout
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the offer.
Body
application/json
Example:
true
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?